#include "lmp_joypad.h"

padread  padget;

int main(void)
{
   lmp_pad_init(PAD_ANALOG_ON, PAD_ANALOG_BUTTON_OFF);
   for(;;) {
      lmp_pad_poll();
      lmp_pad_read_repeat(0, &padget);
      printf("%04x %02x %02x %02x %02x\n",
	     padget.key,
	     padget.stick_l[0], padget.stick_l[1],
	     padget.stick_r[0], padget.stick_r[1]);
      if ((padget.key & PAD_BUTTON_1) != 0) {
	 lmp_pad_act(0, 1, 4);
      }
      if ((padget.key & PAD_BUTTON_2) != 0) {
	 lmp_pad_act(0, 2, 2);
      }
      if ((padget.key & PAD_BUTTON_3) != 0) {
	 lmp_pad_act(0, 3, 3);
      }
      usleep(100000);
   }
   lmp_pad_release();
   return(0);
}
